Subject: Re: [TEST] Flake report

From: Petr Machata <[email-masked]>
Date: Tue, 21 May 2024 18:29:08 +0200

Petr Machata <[email-masked]> writes:

> Jakub Kicinski <[email-masked]> writes:
>
>> sch-tbf-ets-sh, sch-tbf-prio-sh
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> To: Petr Machata <[email-masked]>
>>
>> These fail way too often on non-debug kernels :(
>> Perhaps we can extend the lower bound?
>
> Hm, it sometimes goes even below -10%. It looks like we'd need to go as
> low as -15%.
>
>> vxlan-bridge-1d-sh
>> ~~~~~~~~~~~~~~~~~~
>> To: Ido Schimmel <[email-masked]>
>> Cc: Petr Machata <[email-masked]>
>>
>> Flake fails almost always, with some form of "Expected to capture 0
>> packets, got $X"
>>
>> mirror-gre-lag-lacp-sh
>> ~~~~~~~~~~~~~~~~~~~~~~
>> To: Petr Machata <[email-masked]>
>>
>> Often fails on debug with:
>>
>> # TEST: mirror to gretap: LAG first slave (skip_hw)                   [FAIL]
>> # Expected to capture 10 packets, got 13.
>>
>> mirror-gre-vlan-bridge-1q-sh, mirror-gre-bridge-1d-vlan-sh
>> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>> To: Petr Machata <[email-masked]>
>>
>> Same kind of failure as above but less often and both on debug and non-debug.
>
> I'll look into these.

I fixed mirror-gre-lag-lacp, but the whole mirroring suite is a glorious
mess. In ancient past it used to use ping. These days it uses MZ, but it
still relies on the fact that ICMP packets are sent, including responses
these elicit, and makes all sorts of assumptions around that. And then a
router advertisement comes along and throws the counting out the window.
I'm moving it all over to UDP, but it'll take a bit.